mfont_encapsulate(3m17n)

NAME
mfont_encapsulate - Encapusulate a font.

SYNOPSIS
MFont* mfont_encapsulate (MFrame * frame, MSymbol data_type, void * data)

DESCRIPTION
Encapusulate a font.

The mfont_encapsulate() functions realizes a font by encapusulating data data or type data_type on FRAME. Currently data_tape is Mfontconfig or Mfreetype, and data points to an object of FcPattern or FT_Face respectively.

RETURN VALUE

    If the operation was successful, a realized font is returned. Otherwise NULL is return.

SEE ALSO

    mfont_close().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.